summary refs log tree commit diff stats
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/build.sh b/build.sh
index cdff7bd..1a9a1ec 100755
--- a/build.sh
+++ b/build.sh
@@ -1,11 +1,11 @@
 #!/bin/sh
 
-LUA_INTERPRETER=${LUA_INTERPRETER:=lua}
+LUA_INTERPRETER=${LUA_INTERPRETER:-lua}
 case "$LUA_INTERPRETER" in
 	/*)
 		;;
 	*)
-		ENV_WRAPPER=${ENV_WRAPPER:="$(command -v env)"}
+		ENV_WRAPPER=${ENV_WRAPPER:-"$(command -v env)"}
 		;;
 esac
 
@@ -13,7 +13,7 @@ do_build() {
 	mkdir -p out/lua/cratera/ || exit 1
 	mkdir -p out/bin || exit 1
 	# worst tool for this job
-	cp -r src/cratera/* out/lua/cratera/ || exit 1
+	cp -R src/cratera/* out/lua/cratera/ || exit 1
 	if [ "$ENV_WRAPPER" = '' ]; then
 		printf "#!%s\n" "$LUA_INTERPRETER" >out/bin/cratera || exit 1
 	else